@import "src/app/core/sass/abstracts/mixins";
@import "src/app/core/sass/abstracts/variables";
@import "src/app/core/sass/base/animations";

$pulseSize: 8rem;
$pulseTiming: 1.2s;

.heading-secondary {
  text-align: center;
  font-size: 6rem;
  font-weight: bold;
  text-transform: uppercase;

  @include respond(phone) {
    font-size: 4rem;
  }
}

section {
  height: 100%;
  background-color: $color-light-grey-1;
  overflow: hidden;
  position: relative;

  @media (max-width: 25em) {
    font-size: 1.3rem;
  }

  @media (max-width: 21em) {
    font-size: 1rem;
  }
}

:host ::ng-deep .span-style {
  position: absolute;
  z-index: 100;
  pointer-events: none;
  background-size: cover;
  animation: tornado 8s linear forwards;
}

.scalangular-text {
  //text-align: justify;
  padding: 3rem;
  margin-top: 10rem;
  max-height: 40rem;
  overflow-y: auto;

  @media (max-height: 46em) {
    margin-top: 7rem;
  }

  &::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
    border-radius: .6rem;
    background-color: #F5F5F5;
  }

  &::-webkit-scrollbar {
    width: .8rem;
    background-color: #F5F5F5;
  }

  &::-webkit-scrollbar-thumb {
    border-radius: 10px;
    -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, .3);
    background-color: black;
  }

}

.pulseloader {
  width: $pulseSize;
  height: $pulseSize;
  border-radius: $pulseSize;
  background-color: black;
  outline: 1px solid transparent;
  animation: pulse $pulseTiming ease-in-out infinite;
}

.margin-toggler {
  margin: 10rem auto;
}

// source: https://codepen.io/mallendeo/pen/eLIiG

.tgl {

  display: none;

  // add default box-sizing for this scope
  &,
  &:after,
  &:before,
  & *,
  & *:after,
  & *:before,
  & + .tgl-btn {
    box-sizing: border-box;

    &::selection {
      background: none;
    }
  }

  + .tgl-btn {
    outline: 0;
    display: block;
    width: 12em;
    height: 2em;
    position: relative;
    cursor: pointer;
    user-select: none;

    &:after,
    &:before {
      position: relative;
      display: block;
      content: "";
      width: 50%;
      height: 100%;
    }

    &:after {
      left: 0;
    }

    &:before {
      display: none;
    }
  }

  &:checked + .tgl-btn:after {
    left: 50%;
  }
}

.tgl-skewed {
  + .tgl-btn {
    overflow: hidden;
    transform: skew(-10deg);
    backface-visibility: hidden;
    transition: all .2s ease;
    font-family: sans-serif;
    background: black;

    &:after,
    &:before {
      transform: skew(10deg);
      display: inline-block;
      transition: all .2s ease;
      width: 100%;
      text-align: center;
      position: absolute;
      line-height: 2em;
      font-weight: bold;
      color: #fff;
      text-shadow: 0 1px 0 rgba(0, 0, 0, .4);
    }

    &:after {
      left: 100%;
      content: attr(data-tg-on);
    }

    &:before {
      left: 0;
      content: attr(data-tg-off);
    }

    &:active {
      background: black;

      &:before {
        left: -10%;
      }
    }
  }

  &:checked + .tgl-btn {
    background: black;

    &:before {
      left: -100%;
    }

    &:after {
      left: 0;
    }

    &:active:after {
      left: 10%;
    }
  }
}

